<!DOCTYPE html>
<html lang="en">

<head>
  <title></title>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1">
  <script src="./keycloak.js"></script>

  <script>
    function initKeycloak() {
      var keycloak = new Keycloak(
        {
          url: 'https://baczek.me:9081',
          realm: 'master',
          clientId: 'hydroponics'
        }
      );
      keycloak.init({
        config: {
          url: 'https://baczek.me:9081/auth',
          realm: 'master',
          clientId: 'hydroponics'
        },
        initOptions: {
          onLoad: 'login-required',
          checkLoginIframe: true
        }
      }
      ).then(function (authenticated) {
        if (!authenticated) {
          alert("Authenticating..");
          keycloak.login();
        } else {
          console.log(keycloak.subject);
          console.log(keycloak.token);
        }
      }).catch((error) => {
        console.log("not working");
        console.log(error);
      });
    }
  </script>


</head>

<body onload="initKeycloak()">
  If you can see this, you're authenticated
</body>

</html>
